# $Id: smeserver-phpldapadmin.spec,v 1.2 2013/05/27 02:45:51 unnilennium Exp $
# Authority: nocvs
# Name: Michel Van hees

Summary: PhpLdapAdmin for SME server
%define name smeserver-phpldapadmin
Name: %{name}
%define version 1.2.3
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Apache
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-phpldapadmin-1.2.3-dbinit.patch
#{name}-%{version}.patch.yyyymmddnn
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 8
Requires: phpldapadmin >= 1.2.3
AutoReqProv: no

%changelog
* Sun May 26 2013 JP Pialasse <tests@pialasse.com> 1.2.3-1.sme
- remove phpldapadmin from package
- added Requires phpldapadmin-1.2.3-1
- clean spec file
- added default db value (patch file)

* Thu Jun  26 2007 Michel Van hees <michel@vanhees.cc>
- Restart contrib from scratch
- Use of phpldapadmin 0.9.8.3

%description
SME server - phpmyadmin multiuser for smeserver

%prep
%setup
%patch0 -p1
#%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
